<template>
  <div class="starList h-screen">
    <FilterStar @filter="getFilter" />
    <List :stars="list" />
  </div>
</template>

<script>
import List from "./list.vue";
import FilterStar from "./filter.vue";

export default {
  layout: "template",
  name: "Favourite",
  components: {
    List,
    FilterStar,
  },
  data: function () {
    return {
      list: [],
    };
  },
  mounted() {
    this.list = this.$store.getters["favourite/getFavourites"];
  },
  methods: {
    // Filtre permettant d'afficher les astres choisis
    getFilter(filter) {
      switch (filter) {
        case "all":
          this.list = this.$store.getters["favourite/getFavourites"];
          break;
        case "moon":
          this.list = this.$store.getters["favourite/getFavourites"].filter(
            (star) => !star.isPlanet
          );
          break;
        case "planet":
          this.list = this.$store.getters["favourite/getFavourites"].filter(
            (star) => star.isPlanet
          );
          break;
        default:
          this.list = this.$store.getters["favourite/getFavourites"];
          break;
      }
    },
  },
};
</script>

<style>
.favourite {
  padding-top: 16px;
  padding-bottom: 16px;
  background-color: #3a256e;
  color: #fff;
}
</style>